﻿namespace Hotline.Share.Dtos.Order
{
    /// <summary>
    /// 修改工单期满时间
    /// </summary>
    public class UpdateOrderExpiredTimeDto
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 新期满时间
        /// </summary>
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 是否推送省上
        /// </summary>
        public bool IsPush { get; set; }
    }

    /// <summary>
    /// 修改工单来源方式
    /// </summary>
    public class UpdateOrderSourceChannelDto
    {
        /// <summary>
        /// 工单编号集合
        /// </summary>
        public List<string> Ids { get; set; }

        /// <summary>
        /// 是否推送省上
        /// </summary>
        public bool IsPush { get; set; }
    }
}
